function [Ns, Ssr, Eav] = Eliminacion(S, N, nm)
    %*Calculo de la Energía promedio de la señal de voz*
    E = 0; % Inicialización de la variable que representa la energía
    i = 0; %Para saber cuando se han procesado 1200 muestras
    Ns = 0; %índice de la señal recortada
    for k = 1:1:N %Se calcula el valor de la energía promedio
        E = E + ((S(k) * S(k))/nm);%integral
        i = i+1;
        if k == nm %Se guarda el valor de la energía promedio del "piso ruido" como umbral
            %Eav = E+fix(E/1024);%energia promedio por el nivel de ruido
            %Eav = 4194015;
            %Eav = 4191000; funciona hasta 14
            %Eav = 4189900;
            Eav = 4190400;%mejor valor para pasar verdadero tiempo de palabra
            E = 0;
            i = 0;
        end
        if i == nm %Si ya se calculó una nueva energía
            if E > Eav %Si la nueva energía supera el umbral
                for j = k-(nm-1):1:k
                    Ns = Ns+1;
                    Ssr(Ns) = S(j);
                end
            end
            i = 0;
            E = 0;
        end
    end
    if Ns == 0
        Ssr(1) = 0;
        disp('Change noise level ...');
    end
end